# Code of Conduct

This code of conduct is adapted from the [Django Code of
Conduct](https://www.djangoproject.com/conduct/).

Here are a few ground rules that we ask Comby project participants to adhere
to. This code applies equally to contributors and those seeking help and
guidance.

This isn't an exhaustive list of things that you can't do. Rather, take it in
the spirit in which it's intended - a guide to make it easier to enrich all of
us and the technical communities in which we participate.

This code of conduct applies to all spaces managed by the Comby project. This
includes the issue tracker and any other forums created which the community
uses for communication. 

If you believe someone is violating the code of conduct, we ask that you report
it by emailing rvantonder@gmail.com.

- Be friendly and patient.  

- Be welcoming. We strive to be a community that welcomes and supports people
of all backgrounds and identities. This includes, but is not limited to members
of any race, ethnicity, culture, national origin, colour, immigration status,
social and economic class, educational level, sex, sexual orientation, gender
identity and expression, age, size, family status, political belief, religion,
and mental and physical ability.  

- Be considerate. Your work will be used by other people, and you in turn will
depend on the work of others. Any decision you take will affect users and
colleagues, and you should take those consequences into account when making
decisions. Remember that we're a world-wide community, so you might not be
communicating in someone else's primary language.  

- Be respectful. Not all of us will agree all the time, but disagreement is no
excuse for poor behavior and poor manners. We might all experience some
frustration now and then, but we cannot allow that frustration to turn into a
personal attack. It's important to remember that a community where people feel
uncomfortable or threatened is not a productive one. Participants should be
respectful when interacting with other participants.

- Be careful in the words that you choose. We are a community of professionals,
and we conduct ourselves professionally. Be kind to others. Do not insult or
put down other participants. Harassment and other exclusionary behavior aren't
acceptable.  This includes, but is not limited to: Violent threats or language
directed against another person, discriminatory jokes and language, posting
sexually explicit or violent material, posting (or threatening to post) other
people's personally identifying information ("doxing"), personal insults,
especially those using racist or sexist terms, unwelcome sexual attention,
encouraging any of the above behavior, or repeated harassment of others.  In
general, if someone asks you to stop, then stop.  

- When we disagree, try to understand why. Disagreements, both social and
technical, happen all the time and participating in open source projects is no
exception. It is important that we resolve disagreements and differing views
constructively. Remember that we're different. Different people have different
perspectives on issues. Being unable to understand why someone holds a
viewpoint doesn't mean that they're wrong. Don't forget that it is human to err
and blaming each other doesn't get us anywhere. Instead, focus on helping to
resolve issues and learning from mistakes.
